import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

public class DemoJdbc {

	public static void main(String[] args) {
		sauverEnBase("Jean DUPONT");
		lireEnBase();
	}

	public static void sauverEnBase(String personne) {

		// Information d'accs  la base de donnes
		String url = "jdbc:mysql://localhost/formation";
		String login = "root";
		String passwd = "";
		Connection cn =null;
		Statement st =null;

		try {

			// Etape 1 : Chargement du driver
			Class.forName("com.mysql.jdbc.Driver");

			// Etape 2 : rcupration de la connexion
			cn = DriverManager.getConnection(url, login, passwd);

			// Etape 3 : Cration d'un statement
			st = cn.createStatement();

			String sql = "INSERT INTO `javadb` (`personne`) VALUES ('"
					+ personne + "')";

			// Etape 4 : excution requte
			st.executeUpdate(sql);

			// Si rcup donnes alors tapes 5 (parcours Resultset)

		} catch (SQLException e) {
			e.printStackTrace();
		} catch (ClassNotFoundException e) {
			// TODO: handle exception
			e.printStackTrace();
		} finally {
			try {
			// Etape 6 : librer ressources de la mmoire.
				cn.close();
				st.close();
			} catch (SQLException e) {
				e.printStackTrace();
			}
		}
	}
	
	public static void lireEnBase() {

		// Information d'accs  la base de donnes
		String url = "jdbc:mysql://localhost/formation";
		String login = "root";
		String passwd = "";
		Connection cn =null;
		Statement st =null;
		ResultSet rs =null;
		
		try {

			// Etape 1 : Chargement du driver
			Class.forName("com.mysql.jdbc.Driver");

			// Etape 2 : rcupration de la connexion
			cn = DriverManager.getConnection(url, login, passwd);

			// Etape 3 : Cration d'un statement
			st = cn.createStatement();

			String sql = "SELECT * FROM javadb";

			// Etape 4 : excution requte
			rs = st.executeQuery(sql);

			// Si rcup donnes alors tapes 5 (parcours Resultset)

			while (rs.next()) {
				System.out.println(rs.getString("personne"));
				
			}
		} catch (SQLException e) {
			e.printStackTrace();
		} catch (ClassNotFoundException e) {
			e.printStackTrace();
		} finally {
			try {
			// Etape 6 : librer ressources de la mmoire.
				cn.close();
				st.close();
			} catch (SQLException e) {
				e.printStackTrace();
			}
		}
	}
	}